#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 genvalidity-property
version:              1.0.0.0
visibility:           public
id:                   genvalidity-property-1.0.0.0-BP5A2SzHoK5K31bfXt9wEM
key:                  genvalidity-property-1.0.0.0-BP5A2SzHoK5K31bfXt9wEM
license:              MIT
copyright:            Copyright: (c) 2016-2021 Tom Sydney Kerckhove
maintainer:           syd@cs-syd.eu
author:               Tom Sydney Kerckhove
homepage:             https://github.com/NorfairKing/validity#readme
synopsis:             Standard properties for functions on `Validity` types
category:             Testing
abi:                  34db32624d46e67f39aac4e338274085
exposed:              True
exposed-modules:
    Test.Validity.Functions Test.Validity.Functions.CanFail
    Test.Validity.Functions.Equivalence
    Test.Validity.Functions.Idempotence Test.Validity.Functions.Inverse
    Test.Validity.Functions.Validity Test.Validity.GenValidity.Property
    Test.Validity.Operations Test.Validity.Operations.Associativity
    Test.Validity.Operations.Commutativity
    Test.Validity.Operations.Identity Test.Validity.Property
    Test.Validity.Property.Utils Test.Validity.Relations
    Test.Validity.Relations.Antireflexivity
    Test.Validity.Relations.Antisymmetry
    Test.Validity.Relations.Reflexivity
    Test.Validity.Relations.Symmetry
    Test.Validity.Relations.Transitivity
    Test.Validity.Shrinking.Property Test.Validity.Types

hidden-modules:       Paths_genvalidity_property
import-dirs:          /usr/lib/ghc-9.0.2/site-local/genvalidity-property-1.0.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/genvalidity-property-1.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/genvalidity-property-1.0.0.0

hs-libraries:         HSgenvalidity-property-1.0.0.0-BP5A2SzHoK5K31bfXt9wEM
depends:
    QuickCheck-2.14.2-D5HxM6rZiMl2ZRyF0sxRxv base-4.15.1.0
    genvalidity-1.0.0.1-CYIsGTK4mbuGp6qx1KO1vp
    hspec-2.8.5-H3yhiAUuxnaFYc9gFyPKqb
    pretty-show-1.10-30ddFMLbEm1DQ0GcmAHjnN
    validity-0.12.0.0-3ExPW3CPSLQ8WWVmKpPB7c

haddock-interfaces:
    /usr/share/doc/haskell-genvalidity-property/html/genvalidity-property.haddock

haddock-html:         /usr/share/doc/haskell-genvalidity-property/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

